# Uses of Class
org.apache.sysds.runtime.controlprogram.federated.monitoring.models.RequestModel

Packages that use RequestModel
Package
Description
org.apache.sysds.runtime.controlprogram.federated
org.apache.sysds.runtime.controlprogram.federated.monitoring.models

## Uses of RequestModel in org.apache.sysds.runtime.controlprogram.federated

Fields in org.apache.sysds.runtime.controlprogram.federated with type parameters of type RequestModel
Modifier and Type
Field
Description
`List<RequestModel>`
FederatedStatistics.FedStatsCollection.`workerRequests`
Methods in org.apache.sysds.runtime.controlprogram.federated that return types with arguments of type RequestModel
Modifier and Type
Method
Description
`static List<RequestModel>`
FederatedStatistics.`getWorkerRequests()`
Methods in org.apache.sysds.runtime.controlprogram.federated with parameters of type RequestModel
Modifier and Type
Method
Description
`static void`
FederatedStatistics.`addWorkerRequest(RequestModel request)`

## Uses of RequestModel in org.apache.sysds.runtime.controlprogram.federated.monitoring.models

Fields in org.apache.sysds.runtime.controlprogram.federated.monitoring.models with type parameters of type RequestModel
Modifier and Type
Field
Description
`List<RequestModel>`
StatisticsModel.`requests`